public inbox for elfutils@sourceware.org
 help / color / mirror / Atom feed
From: Mark Wielaard <mark@klomp.org>
To: buildbot@builder.wildebeest.org
Cc: elfutils-devel@sourceware.org
Subject: Re: Buildbot failure in Wildebeest Builder on whole buildset
Date: Mon, 6 Sep 2021 23:14:46 +0200	[thread overview]
Message-ID: <YTaExuBGTszjc7KH@wildebeest.org> (raw)
In-Reply-To: <YTZzwxLXfCtefuNq@wildebeest.org>

[-- Attachment #1: Type: text/plain, Size: 947 bytes --]

On Mon, Sep 06, 2021 at 10:02:11PM +0200, Mark Wielaard wrote:
> This doesn't really explain the above failures, but there were still
> two tests that didn't use their own debuginfod client cache. Also one
> set a useless, but confusing DEBUGINFOD_URLS.
> 
> Still looking for explanations of the other FAILS (which I cannot
> reproduce locally).

As expected there are still several failures on the buildbot workers,
but I did manage to replicate one failure locally. It happened because
PORT1 and PORT2 were equal.

    ss -atn | fgrep ":$PORT2" && $PORT1 -ne $PORT2 || break

Does actually break when PORT1 == PORT2. The && -ne should have been
|| -eq. But just simplify the port selection a bit to use
non-overlapping ranges (split the 100 possible ports in 0-49 for port1
and 50-99 for port2).

Also because of a typo on error only the metrics of port1 were
shown. Fix the typo so we can better diagnose the remaining failures.

Cheers,

Mark

[-- Attachment #2: 0001-tests-Print-metrics-for-both-ports-on-error-and-fix-.patch --]
[-- Type: text/x-diff, Size: 2036 bytes --]

From 7880ccb6483e76847cdf1c6c4e45a2180bee820a Mon Sep 17 00:00:00 2001
From: Mark Wielaard <mark@klomp.org>
Date: Mon, 6 Sep 2021 23:04:06 +0200
Subject: [PATCH] tests: Print metrics for both ports on error and fix port
 selection

On error we would only print the metrics of one port (twice) because
of a typo. Also PORT1 and PORT2 could be equal because of a logic
error. Fix the typo and simplify the port selection by using
non-overlapping ranges to select PORT1 and PORT2.
---
 tests/ChangeLog          | 7 +++++++
 tests/debuginfod-subr.sh | 8 ++++----
 2 files changed, 11 insertions(+), 4 deletions(-)

diff --git a/tests/ChangeLog b/tests/ChangeLog
index c1760877..14eb4d98 100644
--- a/tests/ChangeLog
+++ b/tests/ChangeLog
@@ -1,3 +1,10 @@
+2021-09-06  Mark Wielaard  <mark@klomp.org>
+
+	* debuginfod-subr.sh (err): Change ports to port in for loop so both
+	PORT1 and PORT2 are used.
+	(get_ports): Simplify port selection by using for 50 for PORT1 and
+	second 50 for PORT2.
+
 2021-09-06  Mark Wielaard  <mark@klomp.org>
 
 	* run-debuginfod-file.sh: Set DEBUGINFOD_CACHE_PATH. Export
diff --git a/tests/debuginfod-subr.sh b/tests/debuginfod-subr.sh
index 3222a2b0..7d238436 100755
--- a/tests/debuginfod-subr.sh
+++ b/tests/debuginfod-subr.sh
@@ -39,7 +39,7 @@ trap cleanup 0 1 2 3 5 9 15
 errfiles_list=
 err() {
     echo ERROR REPORTS
-    for ports in $PORT1 $PORT2
+    for port in $PORT1 $PORT2
     do
         echo ERROR REPORT $port metrics
         curl -s http://127.0.0.1:$port/metrics
@@ -129,13 +129,13 @@ archive_test() {
 
 get_ports() {
   while true; do
-    PORT1=`expr '(' $RANDOM % 100 ')' + $base`
+    PORT1=`expr '(' $RANDOM % 50 ')' + $base`
     ss -atn | fgrep ":$PORT1" || break
   done
 # Some tests will use two servers, so assign the second var
   while true; do
-    PORT2=`expr '(' $RANDOM % 100 ')' + $base`
-    ss -atn | fgrep ":$PORT2" && $PORT1 -ne $PORT2 || break
+    PORT2=`expr '(' $RANDOM % 50 ')' + $base + 50`
+    ss -atn | fgrep ":$PORT2" || break
   done
 
 }
-- 
2.32.0


  reply	other threads:[~2021-09-06 21:14 UTC|newest]

Thread overview: 153+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-09-03 14:08 buildbot
2021-09-03 23:47 ` Mark Wielaard
2021-09-06 15:07   ` Mark Wielaard
2021-09-06 20:02     ` Mark Wielaard
2021-09-06 21:14       ` Mark Wielaard [this message]
2021-09-07  0:12       ` Mark Wielaard
2021-09-07  8:34         ` Dmitry V. Levin
2021-09-07 22:04           ` Mark Wielaard
  -- strict thread matches above, loose matches on Subject: below --
2022-02-07 20:27 buildbot
2022-02-07 20:46 ` Mark Wielaard
2022-02-07 22:29   ` Mark Wielaard
2022-02-08 10:18     ` Mark Wielaard
2022-01-07 18:02 buildbot
2021-12-21 16:34 buildbot
2021-12-21 13:36 buildbot
2021-12-17 18:34 buildbot
2021-12-16  1:10 buildbot
2021-12-16 17:05 ` Mark Wielaard
2021-12-10 19:56 buildbot
2021-12-11 16:16 ` Mark Wielaard
2021-12-08 17:20 buildbot
2021-12-08 22:08 ` Mark Wielaard
2021-11-15 10:56 buildbot
2021-11-15 11:37 ` Mark Wielaard
2021-11-04 20:14 buildbot
2021-11-05  9:28 ` Mark Wielaard
2021-10-18 13:45 buildbot
2021-10-18 13:50 ` Mark Wielaard
2021-09-16 15:00 buildbot
2021-09-16 16:16 ` Mark Wielaard
2021-09-12 23:16 buildbot
2021-09-13  9:06 ` Mark Wielaard
2021-09-14 11:05   ` Mark Wielaard
2021-09-12 21:56 buildbot
2021-09-12 22:30 ` Mark Wielaard
2021-09-10  5:54 buildbot
2021-09-10  4:42 buildbot
2021-09-10  1:00 buildbot
2021-09-09 16:05 buildbot
2021-09-07  1:51 buildbot
2021-09-07  0:29 buildbot
2021-09-06 21:44 buildbot
2021-09-03 10:33 buildbot
2021-09-03 11:14 ` Mark Wielaard
2021-08-27 23:19 buildbot
2021-08-28 14:01 ` Mark Wielaard
2021-08-28 14:41   ` Frank Ch. Eigler
2021-08-27 21:20 buildbot
2021-08-28 12:29 ` Mark Wielaard
2021-08-11 23:16 buildbot
2021-08-23 20:48 ` Mark Wielaard
2021-08-04 15:13 buildbot
2021-08-05 14:19 ` Mark Wielaard
2021-07-22 17:21 buildbot
2021-07-22 14:24 buildbot
2021-07-22 14:36 ` Mark Wielaard
2021-07-19 16:33 buildbot
2021-07-08  9:53 buildbot
2021-07-08  9:56 ` Mark Wielaard
2021-06-15 21:29 buildbot
2021-06-15 21:40 ` Mark Wielaard
2021-06-15 21:53   ` Frank Ch. Eigler
2021-06-15 22:14     ` Mark Wielaard
2021-06-15 23:00       ` Frank Ch. Eigler
2021-06-16  9:35         ` Mark Wielaard
2021-06-12 23:39 buildbot
2021-06-12 23:53 ` Mark Wielaard
2021-04-15 12:53 buildbot
2021-04-13 16:54 buildbot
2021-04-14 12:13 ` Mark Wielaard
2021-04-13 14:29 buildbot
2021-04-14 12:06 ` Mark Wielaard
2021-03-31 11:29 buildbot
2021-03-31 11:37 ` Mark Wielaard
2021-03-07 19:11 buildbot
2021-03-06 14:45 buildbot
2021-03-06 15:46 ` Mark Wielaard
2021-03-02 12:45 buildbot
2021-03-02 11:53 buildbot
2021-03-02  4:28 buildbot
2021-03-01 19:56 buildbot
2021-03-01 22:13 ` Mark Wielaard
2021-02-17 22:22 buildbot
2021-02-12 18:45 buildbot
2021-02-12 16:40 buildbot
2021-02-09  2:26 buildbot
2021-02-09  9:05 ` Mark Wielaard
2021-02-12 15:58   ` Mark Wielaard
2021-02-12 19:09     ` Mark Wielaard
2020-12-16 23:54 buildbot
2020-12-16 23:58 ` Mark Wielaard
2020-12-12 17:11 buildbot
2020-12-12 18:47 ` Mark Wielaard
2020-11-28  4:15 buildbot
2020-11-28 13:41 ` Mark Wielaard
2020-11-28 15:12   ` Mark Wielaard
2020-11-29  1:18     ` Mark Wielaard
2020-11-23 17:50 buildbot
2020-11-23 17:58 ` Mark Wielaard
2020-11-19 13:26 buildbot
2020-11-19 13:55 ` Mark Wielaard
2020-11-17 15:09 buildbot
2020-11-17 17:10 ` Mark Wielaard
2020-10-31  2:12 buildbot
2020-10-31 10:22 ` Mark Wielaard
2020-10-30 15:41 buildbot
2020-10-30  1:51 buildbot
2020-10-30  8:45 ` Mark Wielaard
2020-10-08 16:45 buildbot
2020-10-08 17:38 ` Mark Wielaard
2020-06-19 23:20 buildbot
2020-06-19 23:47 ` Mark Wielaard
2020-06-11 16:00 buildbot
2020-06-11 16:15 ` Mark Wielaard
2020-03-26 16:53 buildbot
2020-03-25 23:48 buildbot
2020-03-26  9:15 ` Mark Wielaard
2020-03-23 13:38 buildbot
2020-03-23 14:08 ` Mark Wielaard
2020-03-23 23:06   ` Mark Wielaard
2020-03-04 12:09 buildbot
2020-03-04 12:45 ` Mark Wielaard
2020-02-26 21:42 buildbot
2020-02-26 21:59 ` Mark Wielaard
2020-02-10 22:34 buildbot
2020-02-21 12:10 ` Mark Wielaard
2020-02-10 19:11 buildbot
2020-01-20 21:05 buildbot
2020-01-20 19:44 buildbot
2020-01-17  0:08 buildbot
2019-12-03  9:49 buildbot
2019-12-03 10:23 ` Mark Wielaard
2019-11-23  2:25 buildbot
2019-11-23  1:38 buildbot
2019-10-26  2:47 buildbot
2019-10-26 12:08 ` Mark Wielaard
2019-09-07 14:54 buildbot
2019-09-07 19:53 ` Mark Wielaard
2019-08-29 13:59 buildbot
2019-08-29 14:23 ` Mark Wielaard
2019-08-29 15:52   ` Mark Wielaard
2019-08-28 22:08 buildbot
2019-08-28 22:13 ` Mark Wielaard
2019-08-15  8:28 buildbot
2019-06-28 23:02 buildbot
2019-06-28 23:47 ` Mark Wielaard
2019-07-01 15:12   ` Mark Wielaard
2018-11-13 16:42 buildbot
2018-11-13 17:29 ` Mark Wielaard
2018-11-13 20:46   ` Mark Wielaard
2018-11-10 12:32 buildbot
2018-11-10 12:36 ` Mark Wielaard
2018-11-06 14:15 buildbot

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=YTaExuBGTszjc7KH@wildebeest.org \
    --to=mark@klomp.org \
    --cc=buildbot@builder.wildebeest.org \
    --cc=elfutils-devel@sourceware.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).